Package com.verisign.epp.codec.rgpext

## Class EPPRgpExtTst

- java.lang.Object
- - com.verisign.epp.codec.rgpext.EPPRgpExtTst

-     public class EPPRgpExtTst
      extends java.lang.Object

  Is a unit test of the com.verisign.epp.codec.rgpext package. The unit test will execute, gather statistics, and output the results of a test of each com.verisign.epp.codec.rgpext package concrete `EPPRgpExt`'s and their expected `EPPResponse`. The unit test is dependent on the use of JUNIT 3.5

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `EPPRgpExtTst()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static void` | `setNumIterations​(long aNumIterations)` | Sets the number of iterations to run per test.
    `static void` | `setup()` | JUNIT `suite` static method, which returns the tests associated with `EPPRgpExtTst`.
    `void` | `testDomainInfoRespWithRgpExt()` | Unit test of `testDomainInfoRespWithRgpExt`.
    `void` | `testDomainInfoRespWithRgpExtStatuses()` | Unit test of `testDomainInfoRespWithRgpExt`.
    `void` | `testPoll()` |
    `void` | `testRestoreReport()` | Tests sending a restore report using the `EPPRgpExtUpdate` domain update extension.
    `void` | `testRestoreRequest()` | Tests sending a restore request using the `EPPRgpExtUpdate` domain update extension.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EPPRgpExtTst

          public EPPRgpExtTst()

  - ### Method Detail

    - #### testPoll

          public void testPoll()

    - #### testRestoreReport

          public void testRestoreReport()

      Tests sending a restore report using the `EPPRgpExtUpdate` domain update extension.

    - #### testRestoreRequest

          public void testRestoreRequest()

      Tests sending a restore request using the `EPPRgpExtUpdate` domain update extension.

    - #### testDomainInfoRespWithRgpExt

          public void testDomainInfoRespWithRgpExt()

      Unit test of `testDomainInfoRespWithRgpExt`. The response to `testDomainInfoRespWithRgpExt` is `EPPDomainInfoResp`.
      This test will be invoked by JUNIT, since it is prefixed with "test" and is a public method.

    - #### testDomainInfoRespWithRgpExtStatuses

          public void testDomainInfoRespWithRgpExtStatuses()

      Unit test of `testDomainInfoRespWithRgpExt`. This tests a `EPPRgpExtInfData` with multiple statuses.

    - #### setup

          public static void setup()

      JUNIT `suite` static method, which returns the tests associated with `EPPRgpExtTst`.

    - #### setNumIterations

          public static void setNumIterations​(long aNumIterations)

      Sets the number of iterations to run per test.
      Parameters:
        `aNumIterations` - number of iterations to run per test